ATA_FILL_SG(9)

NAME
ata_fill_sg - Fill PCI IDE PRD table

SYNOPSIS

void ata_fill_sg (struct ata_queued_cmd * qc);

ARGUMENTS

qc  Metadata associated with taskfile to be transferred

DESCRIPTION

Fill PCI IDE PRD (scatter-gather) table with segments associated with the current disk command.

LOCKING

spin_lock_irqsave(host_set lock)

AUTHOR
Jeff Garzik.